"""
 Copyright (c) 2015 Michael Bright and Bamboo HR LLC

 Licensed under the Apache License, Version 2.0 (the "License");
 you may not use this file except in compliance with the License.
 You may obtain a copy of the License at

 http://www.apache.org/licenses/LICENSE-2.0

 Unless required by applicable law or agreed to in writing, software
 distributed under the License is distributed on an "AS IS" BASIS,
 WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 See the License for the specific language governing permissions and
 limitations under the License.

adding order indexes

Revision ID: 63ed28aeec3d
Revises: 3781a8185e42
Create Date: 2016-08-03 04:36:32.284892

"""

# revision identifiers, used by Alembic.
revision = '63ed28aeec3d'
down_revision = '3781a8185e42'
branch_labels = None
depends_on = None

from alembic import op
import sqlalchemy as sa


def upgrade():
    ### commands auto generated by Alembic - please adjust! ###
    op.create_index(op.f('ix_action_instances_order'), 'action_instances', ['order'], unique=False)
    op.create_index(op.f('ix_actions_order'), 'actions', ['order'], unique=False)
    op.create_index(op.f('ix_stage_instances_order'), 'stage_instances', ['order'], unique=False)
    op.create_index(op.f('ix_stages_order'), 'stages', ['order'], unique=False)
    op.create_index(op.f('ix_workflow_instances_order'), 'workflow_instances', ['order'], unique=False)
    op.create_index(op.f('ix_workflows_order'), 'workflows', ['order'], unique=False)
    ### end Alembic commands ###


def downgrade():
    ### commands auto generated by Alembic - please adjust! ###
    op.drop_index(op.f('ix_workflows_order'), table_name='workflows')
    op.drop_index(op.f('ix_workflow_instances_order'), table_name='workflow_instances')
    op.drop_index(op.f('ix_stages_order'), table_name='stages')
    op.drop_index(op.f('ix_stage_instances_order'), table_name='stage_instances')
    op.drop_index(op.f('ix_actions_order'), table_name='actions')
    op.drop_index(op.f('ix_action_instances_order'), table_name='action_instances')
    ### end Alembic commands ###
