"""
 Copyright (c) 2015 Michael Bright and Bamboo HR LLC

 Licensed under the Apache License, Version 2.0 (the "License");
 you may not use this file except in compliance with the License.
 You may obtain a copy of the License at

 http://www.apache.org/licenses/LICENSE-2.0

 Unless required by applicable law or agreed to in writing, software
 distributed under the License is distributed on an "AS IS" BASIS,
 WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 See the License for the specific language governing permissions and
 limitations under the License.

integration_release

Revision ID: def3f3adb025
Revises: f1e63d5fb3e1
Create Date: 2016-03-02 12:39:15.348222

"""

# revision identifiers, used by Alembic.
revision = 'def3f3adb025'
down_revision = 'f1e63d5fb3e1'
branch_labels = None
depends_on = None

from alembic import op
import sqlalchemy as sa


def upgrade():
    ### commands auto generated by Alembic - please adjust! ###
    op.add_column('releases', sa.Column('integration_id', sa.Integer(), nullable=True))
    if 'sqlite' != op.get_context().dialect.name:
        op.create_index(op.f('ix_releases_integration_id'), 'releases', ['integration_id'], unique=False)
        op.create_foreign_key(None, 'releases', 'integrations', ['integration_id'], ['id'])
        op.drop_index('ix_users_username', table_name='users')
    ### end Alembic commands ###


def downgrade():
    ### commands auto generated by Alembic - please adjust! ###
    if 'sqlite' != op.get_context().dialect.name:
        op.create_index('ix_users_username', 'users', ['username'], unique=False)
        op.drop_constraint(None, 'releases', type_='foreignkey')
        op.drop_index(op.f('ix_releases_integration_id'), table_name='releases')
    op.drop_column('releases', 'integration_id')
    ### end Alembic commands ###
